Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.net
Class ComponentSocketReader

    java.lang.Object
      org.jivesoftware.openfire.net.SocketReader
          org.jivesoftware.openfire.net.ComponentSocketReader

All Implemented Interfaces:
  Runnable

    public class ComponentSocketReader

extends SocketReader

A SocketReader specialized for component connections. This reader will be used when the open stream contains a jabber:component:accept namespace.

Author:
  Gaston Dombiak

Field Summary

Fields inherited from class org.jivesoftware.openfire.net.SocketReader
`connection, open, serverName, session`

Constructor Summary
`ComponentSocketReader(PacketRouter router, RoutingTable routingTable, String serverName, Socket socket, SocketConnection connection, boolean useBlockingMode)`

Method Summary
`protected boolean` | `processUnknowPacket(org.dom4j.Element doc)` Only `bind`packets will be processed by this class to bind more domains to existing external components.``

Methods inherited from class org.jivesoftware.openfire.net.SocketReader
`createSession, process, processIQ, processMessage, processPresence, run, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentSocketReader

    public ComponentSocketReader(PacketRouter router,
                                 RoutingTable routingTable,
                                 String serverName,
                                 Socket socket,
                                 SocketConnection connection,
                                 boolean useBlockingMode)

Method Detail

### processUnknowPacket

    protected boolean processUnknowPacket(org.dom4j.Element doc)

  Only `bind`packets will be processed by this class to bind more domains to existing external components. Any other type of packet is unknown and thus rejected generating the connection to be closed.

  ``
  Parameters:
    `doc` - the unknown DOM element that was received
  Returns:
    false if packet is unknown otherwise true.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.